OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
OTF_inttypes.h File Reference
Miscellaneous

Deals with all data type related issues. More...

`#include "OTF_inttypes_unix.h"`

Go to the source code of this file.

## Functions
uint64_t | OTF_Unsigned2Counter (uint64_t value)
| Converts unsigned integers of 8, 16, 32 or 64 bit length into OTF counter values. More...
uint64_t | OTF_Counter2Unsigned (uint64_t value)
| Converts OTF counter values to unsigned integers of 8, 16, 32 or 64 bit length. More...
uint64_t | OTF_Signed2Counter (int64_t value)
| Converts signed integers of 8, 16, 32 or 64 bit length to OTF counter values. More...
int64_t | OTF_Counter2Signed (uint64_t value)
| Converts OTF counter values to signed integers of 8, 16, 32 or 64 bit length. More...
uint64_t | OTF_Float2Counter (float value)
| Converts single precision floating point variables to OTF counter values. More...
float | OTF_Counter2Float (uint64_t value)
| Converts OTF counter values to single precision floating point values. More...
uint64_t | OTF_Double2Counter (double value)
| Converts double precision floating point values to OTF counter values. More...
double | OTF_Counter2Double (uint64_t value)
| Converts OTF counter values to double precision floating point values. More...

## Detailed Description

Deals with all data type related issues.

## Function Documentation

double OTF_Counter2Double | ( | uint64_t | value | ) |

Converts OTF counter values to double precision floating point values.

float OTF_Counter2Float | ( | uint64_t | value | ) |

Converts OTF counter values to single precision floating point values.

int64_t OTF_Counter2Signed | ( | uint64_t | value | ) |

Converts OTF counter values to signed integers of 8, 16, 32 or 64 bit length.

uint64_t OTF_Counter2Unsigned | ( | uint64_t | value | ) |

Converts OTF counter values to unsigned integers of 8, 16, 32 or 64 bit length.

uint64_t OTF_Double2Counter | ( | double | value | ) |

Converts double precision floating point values to OTF counter values.

uint64_t OTF_Float2Counter | ( | float | value | ) |

Converts single precision floating point variables to OTF counter values.

uint64_t OTF_Signed2Counter | ( | int64_t | value | ) |

Converts signed integers of 8, 16, 32 or 64 bit length to OTF counter values.

uint64_t OTF_Unsigned2Counter | ( | uint64_t | value | ) |

Converts unsigned integers of 8, 16, 32 or 64 bit length into OTF counter values.